
export default function () {
  let HeadTable = require('ant-design-vue/es/vc-table/src/HeadTable.js').default;
  HeadTable.render = (function (fn) {
    return function (h) {
      const {tableType,rowHeight,columnManager,ref_bodyTable,tableNode} = this.table
      let vNode = fn.apply(this, arguments);
      const { hasHead, fixed, tableClassName, hasBody, store } = this
      const { scrollWidth} = columnManager
      if (vNode && tableType == 't-table') {
        vNode.data.style={overflow:'hidden'}
        if (scrollWidth > 0) {
          vNode.children.unshift(<div class={['body-x-space']}  style={{width:scrollWidth+'px'}}></div>)
        }
      }
      return vNode
    }
  })(HeadTable.render);




}